> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shortmenu.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete link

> Deletes an existing Short Link.



## OpenAPI

````yaml delete /links/{id}
openapi: 3.0.0
info:
  title: Short Menu API
  description: ''
  version: 0.0.2
  contact: {}
servers:
  - url: https://api.shortmenu.com
    description: Default
security:
  - ApiKeyAuth: []
tags: []
paths:
  /links/{id}:
    delete:
      description: Deletes an existing Short Link.
      operationId: deleteLink
      parameters:
        - name: id
          description: >-
            The identifier of the link to delete. This is the `id` field of the
            link object.
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDTO'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDTO'
components:
  schemas:
    ErrorResponseDTO:
      type: object
      properties:
        code:
          enum:
            - LINK_LIMIT_REACHED
          type: string
        errorDescription:
          type: string
      required:
        - errorDescription
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Your Short Menu API Key. Create one at
        [shm.to/create-api-key](https://shm.to/create-api-key).

````